History log of /unit/pkg/deb/ (Results 1 – 25 of 88)
Revision (<<< Hide revision tags) (Show revision tags >>>)Date Author Comments
(<<< Hide modified files)
(Show modified files >>>)
2239:9f3bfc23b64f04-Nov-2022 Konstantin Pavlov

Packages: relaxed dependencies between modules and base package.
This allows us to update base or single modules packages without
updating the whole set.

Revision tags: 1.28.0-1, 1.28.0
2138:8223904cc4bb20-Jun-2022 Konstantin Pavlov

Packages: cleanup targets that are not supported anymore.

2136:5bcedb04682620-Jun-2022 Konstantin Pavlov

Packages: dropped /etc/unit directory.

It's never used.

Revision tags: 1.27.0-1, 1.27.0
2107:cd075799fad926-May-2022 Konstantin Pavlov

Packaging: Go: use GO111MODULE=auto in build instructions.

2103:6e61a013417e16-May-2022 Konstantin Pavlov

Packages: ship README.md and CONTRIBUTING.md.

2100:e8ecffe8010305-May-2022 Konstantin Pavlov

Packages: added Ubuntu 22.04 "jammy" support.

2070:25521d7d452115-Feb-2022 Valentin Bartenev

Updated copyright notice.

Revision tags: 1.26.1-1, 1.26.1
2042:56540a52177d02-Dec-2021 Andrei Belov

Packages: added systemd service for debug binary.

2036:7e018fce798501-Dec-2021 Andrei Belov

Packages: adjusted debhelper minimal version for Debian/Ubuntu.

Forgotten in 199a11eceb3c.

While here, Standards-Version increased to 4.1.4 (matches Ubuntu 18.04
as the oldest supported distro).

2027:04ae78e6813d02-Dec-2021 Andrei Belov

Packages: added systemd service for debug binary.

2020:f8e0a0b7ffb901-Dec-2021 Andrei Belov

Packages: adjusted debhelper minimal version for Debian/Ubuntu.

Forgotten in 199a11eceb3c.

While here, Standards-Version increased to 4.1.4 (matches Ubuntu 18.04
as the oldest supported distro).

Revision tags: 1.26.0-1, 1.26.0
1994:f12ff04582f708-Nov-2021 Andrei Belov

Packages: fixed dependency checks on multi-arch Debian/Ubuntu.

1974:199a11eceb3c21-Oct-2021 Andrei Belov

Packages: removed support for EOL'ed Debian/Ubuntu distros.

While here, default debhelper compat level bumped to 11 (this is the
version installed out of the box on Ubuntu 18.04 "bionic" which is
th

Packages: removed support for EOL'ed Debian/Ubuntu distros.

While here, default debhelper compat level bumped to 11 (this is the
version installed out of the box on Ubuntu 18.04 "bionic" which is
the oldest one from supported distros).

show more ...

1973:bc18f6f39ce321-Oct-2021 Andrei Belov

Packages: added Ubuntu 21.10 "impish" support.

Revision tags: 1.25.0-1, 1.25.0
1941:c437a6538b6917-Aug-2021 Andrei Belov

Packages: added Debian 11 "bullseye" support.

Revision tags: 1.24.0-1, 1.24.0
1887:0a32914bf7bf27-May-2021 Andrei Belov

Packages: added Ubuntu 21.04 "hirsute" support.

1853:5841a506945e21-Apr-2021 Andrei Belov

Packages: switched to common address for package maintainers.

Revision tags: 1.23.0-1, 1.23.0
1826:d0d76464f1a524-Mar-2021 Konstantin Pavlov

Packages: added man page on debian-based systems.

Revision tags: 1.22.0-1, 1.22.0
1776:6667ec5f43e218-Jan-2021 Valentin Bartenev

Bumping year in copyright notice.

1765:8ea20616cf0427-Dec-2020 Andrei Belov

Packages: fixed building for Ubuntu 16.04 "xenial".

Changes introduced in a27532e3a17b effectively broke building of the unit
package due to missed dh_installsystemd script in older debhelper 9.x.

Packages: fixed building for Ubuntu 16.04 "xenial".

Changes introduced in a27532e3a17b effectively broke building of the unit
package due to missed dh_installsystemd script in older debhelper 9.x.

Once Ubuntu 16.04 reach EOL, the following actions should be made:
- this commit should be reverted;
- minimal debhelper version should be increased to 11.

show more ...

1764:46da19f4079f24-Dec-2020 Andrei Belov

Packages: fixed an ability to override package version.

This was broken since 00d8049418cf.

1762:f286b015628a23-Dec-2020 Andrei Belov

Packages: set the "--user" value to "nobody" for build-stage tests.

This allows tests to pass well in cases when the default user specified in
the ./configure parameters does not exist in the buildi

Packages: set the "--user" value to "nobody" for build-stage tests.

This allows tests to pass well in cases when the default user specified in
the ./configure parameters does not exist in the building environment.

show more ...

1753:7d8644d56ed517-Dec-2020 Andrei Belov

Packages: run non-privileged processes under "unit" user.

1752:e8e3d17a816824-Nov-2020 Konstantin Pavlov

Packages: added pcre2 to build depends.

While at it, propagate unit build depends to modules.

1751:a27532e3a17b24-Nov-2020 Konstantin Pavlov

Packages: dropped support for non-systemd distributions.

1234